PostscriptParser.PSSubroutine (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fonts.type1

## Class PostscriptParser.PSSubroutine

- java.lang.Object
- - org.apache.fop.fonts.type1.PostscriptParser.PSElement
  - - org.apache.fop.fonts.type1.PostscriptParser.PSSubroutine

- Enclosing class:
    PostscriptParser

      public class PostscriptParser.PSSubroutine
      extends PostscriptParser.PSElement

  An object representing a Postscript subroutine element

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fonts.type1.PostscriptParser.PSElement

      `binaryEntries, endPoint, hasMore, operator, readBinary, tokens`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSSubroutine(String operator, int startPoint)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSubroutine()` Gets the parsed subroutine element as unmodified string
    `void` | `parseByte(byte cur, int pos)` Passes responsibility for processing the byte stream to the PostScript object
    `void` | `parseToken(String token, int curPos)` Delegates the parse routine to a sub class

    - ### Methods inherited from class org.apache.fop.fonts.type1.PostscriptParser.PSElement

      `getBinaryEntries, getBinaryEntryByIndex, getEndPoint, getFoundUnexpected, getOperator, getStartPoint, hasMore, isInteger, parse, setFoundUnexpected`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PSSubroutine

          public PSSubroutine(String operator,
                              int startPoint)

  - ### Method Detail

    - #### parseToken

          public void parseToken(String token,
                                 int curPos)

      Description copied from class: `PostscriptParser.PSElement`
      Delegates the parse routine to a sub class
      Specified by:
        `parseToken` in class `PostscriptParser.PSElement`
      Parameters:
        `token` - The token which to parse

    - #### getSubroutine

          public String getSubroutine()

      Gets the parsed subroutine element as unmodified string
      Returns:
        The subroutine as a string

    - #### parseByte

          public void parseByte(byte cur,
                                int pos)

      Description copied from class: `PostscriptParser.PSElement`
      Passes responsibility for processing the byte stream to the PostScript object
      Specified by:
        `parseByte` in class `PostscriptParser.PSElement`
      Parameters:
        `cur` - The byte currently being read
        `pos` - The position of the given byte

Copyright © 2025 Apache Software Foundation. All rights reserved.